
package utilizaciondowhile;

import java.io.BufferedReader;
import java.io.InputStreamReader;

public class UtilizacionDoWhile {

    public static void main(String[] args) {
        
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        String cadenaRepeticion , cadenaAConvertir;
        int numero;
        int contador = 0;
        int acumulador = 0;
        
        try {
             do {
                  System.out.print("Introducir número : ");
                  cadenaAConvertir = bufferedReader.readLine(); 
                  numero = Integer.parseInt(cadenaAConvertir);
                  contador++;
                  acumulador+=numero;
                  System.out.print("Introducir otro número (S/N) : ");
                  cadenaRepeticion = bufferedReader.readLine();
                } while ((cadenaRepeticion.charAt(0) == 'S' || cadenaRepeticion.charAt(0) == 's') && ((contador+1) <= 5));
             
             System.out.println("Se han introducido un total de "+contador+" números");
             System.out.println("El valor acumulado de todos ellos es : "+acumulador);
        } catch (Exception excepcion)
        { System.out.println(excepcion.getMessage());
        }
    } 
}
